import 'package:flutter/material.dart';

class PhoenixFooter extends StatelessWidget {
  const PhoenixFooter({
    Key? key,
    required this.url,
    required this.title,
  }) : super(key: key);
  final String url;
  final String title;

  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisAlignment: MainAxisAlignment.start,
      children: [
        CircleAvatar(backgroundImage: NetworkImage(url)),
        const SizedBox(width: 8),
        Text(
          title,
          style: Theme.of(context).textTheme.headline6,
        )
      ],
    );
  }
}
